For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/affiliate/payvia‑types

get

Get payvia types available for an affiliate

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
loginidintegerRequired
Responses
200

success

successbooleanOptionalExample: true
get/api/affiliate/payvia-types
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'loginid' => '3'
	);

$request = array(
	'method' => 'GET',
	'path' => 'affiliate/payvia-types',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "payvia_types": [
    {
      "payvia_type_id": "1",
      "name": "Check",
      "affiliate_data": "0"
    },
    {
      "payvia_type_id": "4",
      "name": "Domestic Wire",
      "affiliate_data": "0"
    },
    {
      "payvia_type_id": "5",
      "name": "International Wire",
      "affiliate_data": "0"
    }
  ]
}

Last updated

Was this helpful?